#########
#
# INTL.INF
#
#########
"INTL.INF ̏..."

$file = Get-Content ($args[0] + "INTL.INF")

$file = $file -replace "0411:e0010411","0411:00000411"

$reg = "^CopyFiles *= *NLS\.LGFiles\.Install\.Korean",
        "^AddReg *= *NLS\.LGReg\.Install\.Korean",
        "^DelFiles *= *Fonts\.Files\.Legacy\.KOR",
        "^DelReg *= *Fonts\.Reg\.Legacy\.KOR",
        "^CopyFiles *= *NLS\.LGFiles\.Install\.CHS",
        "^AddReg *= *NLS\.LGReg\.Install\.CHS",
        "^DelFiles *= *Fonts\.Files\.Legacy\.CHS",
        "^DelReg *= *Fonts\.Reg\.Legacy\.CHS",
        "^CopyFiles *= *NLS\.LGFiles\.Install\.CHT",
        "^AddReg *= *NLS\.LGReg\.Install\.CHT",
        "^DelFiles *= *Fonts\.Files\.Legacy\.CHT",
        "^DelReg *= *Fonts\.Reg\.Legacy\.CHT",

        "^CopyFiles *= *indexsrv_language_korean_default_files",
        "^AddReg *= *indexsrv_language_korean_default_reg",
        "^CopyFiles *= *indexsrv_language_chinese_traditional_files",
        "^AddReg *= *indexsrv_language_chinese_traditional_reg",
        "^CopyFiles *= *indexsrv_language_chinese_simplified_files",
        "^AddReg *= *indexsrv_language_chinese_simplified_reg",

        "^DelReg *= *uninstall_indexsrv_language_korean_default_reg",
        "^DelReg *= *uninstall_indexsrv_language_chinese_traditional_reg",
        "^DelReg *= *uninstall_indexsrv_language_chinese_simplified_reg"

for ( $j = 1; $j -le $reg.Length; $j++ ) {
  for ( $i = 1; $i -le $file.Length; $i++ ) {
    if($file[$i - 1] -match $reg[$j - 1]) {
      $file[$i - 1] = ";" + $file[$i - 1]
    }
    if($file[$i - 1] -match "LG_INSTALL_8") {
      break
    }
  }
}

################################

$file = $file -replace "^AddReg *= *NLS\.LGReg\.Remove\.Korean",";AddReg = NLS.LGReg.Remove.Korean"
$file = $file -replace "^DelReg *= *Fonts\.LGReg\.Remove\.Korean,IME\.LGReg\.Remove\.Korean,Console\.LGReg\.Remove\.Korean",";DelReg = Fonts.LGReg.Remove.Korean,IME.LGReg.Remove.Korean,Console.LGReg.Remove.Korean"
$file = $file -replace "^AddReg *= *NLS\.LGReg\.Remove\.CHT,IME\.LGReg\.Remove\.CHT\.Add",";AddReg = NLS.LGReg.Remove.CHT,IME.LGReg.Remove.CHT.Add"
$file = $file -replace "^DelReg *= *Fonts\.LGReg\.Remove\.CHT,IME\.LGReg\.Remove\.CHT,Console\.LGReg\.Remove\.CHT",";DelReg = Fonts.LGReg.Remove.CHT,IME.LGReg.Remove.CHT,Console.LGReg.Remove.CHT"
$file = $file -replace "^AddReg *= *NLS\.LGReg\.Remove\.CHS,IME\.LGReg\.Remove\.CHS\.Add",";AddReg = NLS.LGReg.Remove.CHS,IME.LGReg.Remove.CHS.Add"
$file = $file -replace "^DelReg *= *Fonts\.LGReg\.Remove\.CHS,IME\.LGReg\.Remove\.CHS,Console\.LGReg\.Remove\.CHS",";DelReg = Fonts.LGReg.Remove.CHS,IME.LGReg.Remove.CHS,Console.LGReg.Remove.CHS"

################################

for ( $i = 1; $i -le $file.Length; $i++ ) {
  if($file[$i - 1] -match "^CopyFiles *= *NLS\.LGFiles\.Install\.Japanese") {
    $file[$i - 1] = "CopyFiles = NLS.LGFiles.Install.Japanese,JPN_Fonts,AGT.DLL.LGFiles.Japanese,AGT.HLP.LGFiles.Japanese"
  }
  if($file[$i - 1] -match "LG_INSTALL_8") {
    break
  }
}

################################

for ( $i = 1; $i -le $file.Length; $i++ ) {
  if($file[$i - 1] -match "^AddReg *= *IME\.LGReg\.Remove\.CHS\.Add") {
    $file[$i - 1] = ";" + $file[$i - 1]
    $file = $file[0..($i - 1)] + "DelFiles = NLS.LGFiles.Remove.Japanese,JPN_Fonts_Remove,AGT.DLL.LGFiles.Japanese,AGT.HLP.LGFiles.Japanese" , "AddReg = NLS.LGReg.Remove.Japanese" , "DelReg = Fonts.LGReg.Remove.Japanese,IME.LGReg.Remove.Japanese,Console.LGReg.Remove.Japanese" + $file[$i..($file.length - 1)]
    break
  }
  if($file[$i - 1] -match "LG_INSTALL_8") {
    break
  }
}

$reg = "^;DelFiles *= *NLS\.LGFiles\.Remove\.Japanese",
       "^;AddReg *= *NLS\.LGReg\.Remove\.Japanese",
       "^;DelReg *= *Fonts\.LGReg\.Remove\.Japanese"

for ( $j = 1; $j -le $reg.Length; $j++ ) {
  for ( $i = 1; $i -le $file.Length; $i++ ) {
    if($file[$i - 1] -match $reg[$j - 1] ) {
      $file = $file[0..($i - 2)] + $file[$i..($file.length - 1)]
      break
    }
    if($file[$i - 1] -match "LG_INSTALL_8") {
      break
    }
  }
}

$file = $file -replace "^HKLM,`"SYSTEM\\CurrentControlSet\\Control\\Keyboard Layouts\\E0010411`"",";HKLM,`"SYSTEM\CurrentControlSet\Control\Keyboard Layouts\E0010411`""
$file = $file -replace "^HKLM,`"Software\\Microsoft\\Windows\\CurrentVersion\\IntlRun`",`"IMJPINST\.EXE\(INTL\)`",, `"%10%\\IME\\IMJP8_1\\IMJPINST\.EXE`"",";HKLM,`"Software\Microsoft\Windows\CurrentVersion\IntlRun`",`"IMJPINST.EXE(INTL)`",, `"%10%\IME\IMJP8_1\IMJPINST.EXE`""
$file = $file -replace "^HKLM,`"Software\\Microsoft\\IMEJP\\8\.1\\directories`"",";HKLM,`"Software\Microsoft\IMEJP\8.1\directories`""
$file = $file -replace "^HKLM,`"Software\\Microsoft\\Windows\\CurrentVersion\\IMEJP\\8\.1`"",";HKLM,`"Software\Microsoft\Windows\CurrentVersion\IMEJP\8.1`""

$file = $file -replace "^KLT_62",";KLT_62"

$file | Out-File "INTL.INF.delime"
"INTL.INF.delime 쐬܂B"
################################
#
# HIVESYS.INF
#
################################
"HIVESYS.INF ̏..."
$file = Get-Content ($args[0] + "HIVESYS.INF")

$file = $file -replace "^HKLM,`"SYSTEM\\CurrentControlSet\\Control\\Keyboard Layouts\\E0010411`"",";HKLM,`"SYSTEM\CurrentControlSet\Control\Keyboard Layouts\E0010411`""
$file = $file -replace "^HKLM,`"Software\\Microsoft\\Windows\\CurrentVersion\\IntlRun`",`"IMJPINST\.EXE\(INTL\)`",, `"%10%\\IME\\IMJP8_1\\IMJPINST\.EXE`"",";HKLM,`"Software\Microsoft\Windows\CurrentVersion\IntlRun`",`"IMJPINST.EXE(INTL)`",, `"%10%\IME\IMJP8_1\IMJPINST.EXE`""
$file = $file -replace "^HKLM,`"Software\\Microsoft\\IMEJP\\8\.1\\directories`"",";HKLM,`"Software\Microsoft\IMEJP\8.1\directories`""
$file = $file -replace "^HKLM,`"Software\\Microsoft\\Windows\\CurrentVersion\\IMEJP\\8\.1`"",";HKLM,`"Software\Microsoft\Windows\CurrentVersion\IMEJP\8.1`""

$file = $file -replace "^KLT_62",";KLT_62"

$file | Out-File "HIVESYS.INF.delime"
"HIVESYS.INF.delime 쐬܂B"
################################
#
# TXTSETUP.SIF
#
################################
"TXTSETUP.SIF ̏..."
$file = Get-Content ($args[0] + "TXTSETUP.SIF")

$file = $file -replace "^200",";200" # 200 = IME\IMJP8_1
$file = $file -replace "^201",";201" # 201 = IME\IMJP8_1\DICTS
$file = $file -replace "^202",";202" # 202 = IME\IMJP8_1\APPLETS
$file = $file -replace "^203",";203" # 203 = IME\IMJP8_1\HELP
$file = $file -replace "^220",";220" # 220 = IME\SHARED
$file = $file -replace "^221",";221" # 221 = IME\SHARED\RES

$file = $file -replace "^235",";235" # 235 = "IME\IMJP8_1\DICTS"
$file = $file -replace "^236",";236" # 236 = "IME\IMJP8_1\APPLETS"

$file = $file -replace "^imjp81\.ime",";imjp81.ime"      # imjp81.ime   = 100,,,,,,,2,0,0,,1,2
$file = $file -replace "^imjp81k\.dll",";imjp81k.dll"    # imjp81k.dll  = 100,,,,,,,2,0,0,,1,2
$file = $file -replace "^imjpinst\.exe",";imjpinst.exe"  # imjpinst.exe = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjpinst\.ini",";imjpinst.ini"  # imjpinst.ini = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjpmig\.exe",";imjpmig.exe"    # imjpmig.exe  = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^cplexe\.exe *=",";cplexe.exe   =" # cplexe.exe   = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjpcic\.dll",";imjpcic.dll"    # imjpcic.dll  = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjpcus\.dll",";imjpcus.dll"    # imjpcus.dll  = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjpdct\.dll",";imjpdct.dll"    # imjpdct.dll  = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjpdct\.exe",";imjpdct.exe"    # imjpdct.exe  = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjprw\.exe",";imjprw.exe"      # imjprw.exe   = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjpuex\.exe",";imjpuex.exe"    # imjpuex.exe  = 1,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjputy\.exe",";imjputy.exe"    # imjputy.exe  = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjputyc\.dll",";imjputyc.dll"  # imjputyc.dll = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjpdsvr\.exe",";imjpdsvr.exe"  # imjpdsvr.exe = 100,,,,,,,200,0,0,,1,200
$file = $file -replace "^imjpdadm\.exe",";imjpdadm.exe"  # imjpdadm.exe = 1,,,,,,,200,0,0,,1,200

$file = $file -replace "^imjpch\.dic",";imjpch.dic" # imjpch.dic   = 1,,,,,,,235,0,0,,1,235
$file = $file -replace "^imjpln\.dic",";imjpln.dic" # imjpln.dic   = 1,,,,,,,235,0,0,,1,235
$file = $file -replace "^imjpnm\.dic",";imjpnm.dic" # imjpnm.dic   = 1,,,,,,,235,0,0,,1,235
$file = $file -replace "^imjpsb\.dic",";imjpsb.dic" # imjpsb.dic   = 1,,,,,,,235,0,0,,1,235
$file = $file -replace "^imjpst\.dic",";imjpst.dic" # imjpst.dic   = 1,,,,,,,235,0,0,,1,235
$file = $file -replace "^imjptk\.dic",";imjptk.dic" # imjptk.dic   = 1,,,,,,,235,0,0,,1,235
$file = $file -replace "^imjpzp\.dic",";imjpzp.dic" # imjpzp.dic   = 1,,,,,,,235,0,0,,1,235
$file = $file -replace "^imjpgn\.grm",";imjpgn.grm" # imjpgn.grm   = 1,,,,,,,235,0,0,,1,235

$file = $file -replace "^imjpcd\.dic",";imjpcd.dic" # imjpcd.dic   = 100,,,,,,,201,0,0,,1,201

$file = $file -replace "^hwxjpn\.dll *=",";hwxjpn.dll   ="     # hwxjpn.dll   = 100,,,,,,,236,0,0,,1,236
$file = $file -replace "^imskdic\.dll",";imskdic.dll"        # imskdic.dll  = 1,,,,,,,202,0,0,,1,202
$file = $file -replace "^imskf\.dll",";imskf.dll"            # imskf.dll    = 100,,,,,,,202,0,0,,1,202
$file = $file -replace "^multibox\.dll *=",";multibox.dll =" # multibox.dll = 1,,,,,,,236,0,0,,1,236
$file = $file -replace "^softkey\.dll *=",";softkey.dll  ="   # softkey.dll  = 1,,,,,,,202,0,0,,1,202
$file = $file -replace "^voicepad\.dll",";voicepad.dll"      # voicepad.dll = 100,,,,,,,236,0,0,,1,236
$file = $file -replace "^voicesub\.dll",";voicesub.dll"      # voicesub.dll = 100,,,,,,,236,0,0,,1,236
$file = $file -replace "^jpnpaden\.chm",";jpnpaden.chm"      # jpnpaden.chm = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^voicejp\.chm",";voicejp.chm"        # voicejp.chm  = 1,,,,,,,236,0,0,,1,236
$file = $file -replace "^voiceeng\.chm",";voiceeng.chm"      # voiceeng.chm = 1,,,,,,,236,0,0,,1,236
$file = $file -replace "^imjpcl\.chm",";imjpcl.chm"          # imjpcl.chm   = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjpcle\.chm",";imjpcle.chm"        # imjpcle.chm  = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjpsm\.chm",";imjpsm.chm"          # imjpsm.chm   = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjpsme\.chm",";imjpsme.chm"        # imjpsme.chm  = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjppd\.chm",";imjppd.chm"          # imjppd.chm   = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjptu\.chm",";imjptu.chm"          # imjptu.chm   = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjpdt\.chm",";imjpdt.chm"          # imjpdt.chm   = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjpdte\.chm",";imjpdte.chm"        # imjpdte.chm  = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjpcl\.hlp",";imjpcl.hlp"          # imjpcl.hlp   = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjpcle\.hlp",";imjpcle.hlp"        # imjpcle.hlp  = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjpsm\.hlp",";imjpsm.hlp"          # imjpsm.hlp   = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imjpsme\.hlp",";imjpsme.hlp"        # imjpsme.hlp  = 1,,,,,,,203,0,0,,1,203
$file = $file -replace "^imepadsm\.dll",";imepadsm.dll"      # imepadsm.dll = 1,,,,,,,220,0,0,,1,220
$file = $file -replace "^imepadsv\.exe",";imepadsv.exe"      # imepadsv.exe = 1,,,,,,,220,0,0,,1,220
$file = $file -replace "^imlang\.dll",";imlang.dll"          # imlang.dll   = 100,,,,,,,220,0,0,,1,220
$file = $file -replace "^imepaden\.hlp",";imepaden.hlp"      # imepaden.hlp = 1,,,,,,,220,0,0,,1,220
$file = $file -replace "^padrs411\.dll",";padrs411.dll"      # padrs411.dll = 1,,,,,,,221,0,0,,1,221


$file = $file -replace "^DefaultLayout *= *E0010411","DefaultLayout    = 00000411"

$file = $file -replace "^E0010411",";E0010411" # E0010411 = "{ (MS-IME2002)"
                                               # E0010411 = KBDJPN.DLL,2
$file | Out-File "TXTSETUP.SIF.delime" -encoding Default
"TXTSETUP.SIF.delime 쐬܂B"
"MS-IME2002 ̍폜܂B"
